# 32/64bit spec-file
#
%define name draklive-install
%define version 2.8
%define xsetup_level 60

Summary:	ufficiozero Live installer
Name:		%{name}
Version:	%{version}
Release:	%mkrel 15
Source0:	%{name}-%{version}.tar.xz
Source1:	draksplash.tar.xz
License:	GPL
Group:		System/Configuration/Other
Url:		https://svn.mandriva.com/svn/soft/drakx/trunk/live/draklive-install/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:      noarch
Requires:	drakxtools
Requires:	drakx-installer-matchbox
Requires:   perl-Any-URI-Escape
BuildRequires:	intltool

%description
This tool allows to install ufficiozero from a LiveCD.

%prep
%setup -q

%build
%make

%install
rm -rf %buildroot

%makeinstall

install -D -m 0755 %name %buildroot/%_sbindir/%name
install -m 0755 %{name}-lock-storage %buildroot/%_sbindir/

mkdir -p %buildroot%_bindir
ln -sf consolehelper %buildroot%_bindir/%{name}-lock-storage
mkdir -p %{buildroot}%{_sysconfdir}/pam.d
ln -sf mandriva-console-auth %{buildroot}%{_sysconfdir}/pam.d/%{name}-lock-storage
mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/%{name}-lock-storage <<EOF
USER=<user>
PROGRAM=/usr/sbin/%{name}-lock-storage
FALLBACK=false
SESSION=true
EOF

mkdir -p %buildroot{%_miconsdir,%_iconsdir,%_liconsdir,%_menudir,%_datadir/libDrakX/pixmaps/,%_datadir/applications,%_datadir/icons/hicolor/{16x16,32x32,48x48}/apps}

#--------------------------------------------------------------------------
install data/icons/draklive-install-48.png %buildroot%_liconsdir/%name.png
install data/icons/draklive-install-32.png %buildroot%_iconsdir/%name.png
install data/icons/draklive-install-16.png %buildroot%_miconsdir/%name.png
#--------------------------------------------------------------------------

#---------------------------------------------------------------------------------------------
cp -l %buildroot%_liconsdir/%name.png %buildroot%_datadir/icons/hicolor/48x48/apps/%name.png
cp -l %buildroot%_liconsdir/%name.png %buildroot%_datadir/icons/hicolor/32x32/apps/%name.png
cp -l %buildroot%_liconsdir/%name.png %buildroot%_datadir/icons/hicolor/16x16/apps/%name.png
#---------------------------------------------------------------------------------------------


#--------------------------------------------------------------------------
install data/icons/ufficiozero-*.png %buildroot%_datadir/libDrakX/pixmaps/
install draklive-install.desktop %buildroot%_datadir/applications/
tar xf %SOURCE1 -C %buildroot%_datadir/libDrakX/pixmaps/
#--------------------------------------------------------------------------


#--------------------------------------------------------------------------------------------------
install -D -m 0755 %{name}.xsetup %buildroot%_sysconfdir/X11/xsetup.d/%{xsetup_level}%{name}.xsetup
#--------------------------------------------------------------------------------------------------

%find_lang %name


%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)
%_sbindir/%name
%_sbindir/%{name}-lock-storage
%_bindir/%{name}-lock-storage
%{_sysconfdir}/pam.d/%{name}-lock-storage
%{_sysconfdir}/security/console.apps/%{name}-lock-storage
%_datadir/applications/draklive-install.desktop
%_iconsdir/%name.png
%_liconsdir/%name.png
%_miconsdir/%name.png
%_datadir/icons/hicolor/*/apps/%name.png
%_datadir/libDrakX/pixmaps/ufficiozero-*.png
%_sysconfdir/X11/xsetup.d/??%{name}.xsetup
%dir %_sysconfdir/%{name}.d
%dir %_sysconfdir/%{name}.d/sysconfig
/usr/share/libDrakX/pixmaps/draksplash/ufficiozero-format.png
/usr/share/libDrakX/pixmaps/draksplash/ufficiozero-install.png
/usr/share/libDrakX/pixmaps/draksplash/ufficiozero-success.png
/usr/share/libDrakX/pixmaps/draksplash/ufficiozero-wizard.png

%changelog
* Wed Nov 05 2021 adrianomorselli <dev@ufficiozero.org> 2.8-15ufficiozero2021
- switch to ufficiozero-release

* Fri Sep 17 2021 adrianomorselli <dev@ufficiozero.org> 2.8-14.2ufficiozero2021
- now it can boot from usb

* Thu Sep 16 2021 adrianomorselli <dev@ufficiozero.org> 2.8-14.1ufficiozero2021
rebuilded against updates

* Fri Jul 10 2020 adrianomorselli <adrianomosrelli> 2.8.12.3ufficiozero2020
- rebuild against updates

* Mon Jun 01 2020 adrianomorselli <adrianomorselli> 2.8.12.2ufficiozero2020
- fixed

* Wed May 20 2020 adrianomorselli <adrianomorselli> 2.8-12.1ufficiozero2020
- rebuild for ufficiozero
